
# Contributing

<box header>

We are excited that you are interested in contributing to Vuesax. Before submitting your contribution though, please make sure to take a moment and read through the following guidelines.

</box>

<box>

## Code of Conduct

We have adopted a [Code of Conduct](https://github.com/lusaxweb/vuesax/blob/master/CODE_OF_CONDUCT.md) that we expect project participants to adhere to. Please read the full text so that you can understand what actions will and will not be tolerated.

</box>

<box>

## Open Development

All work on Vuesax happens directly on [GitHub](https://github.com/lusaxweb/vuesax/issues). Both core team members and external contributors send pull requests which go through the same review process.

</box>

<box>

## Bugs

We are using [GitHub Issues](https://github.com/lusaxweb/vuesax/issues) for bug tracing.

</box>

<box>

## Proposing a Change

If you intend to change the public API, or make any non-trivial changes to the implementation, we recommend filing an issue. This lets us reach an agreement on your proposal before you put significant effort into it.

If you’re only fixing a bug, it’s fine to submit a pull request right away but we still recommend to file an issue detailing what you’re fixing. This is helpful in case we don’t accept that specific fix but want to keep track of the issue.

</box>

<box>

## Sending a Pull Request

The core team is monitoring for pull requests. We will review your pull request and either merge it, request changes to it, or close it with an explanation.

Before submitting a pull request, please make sure the following is done:

- 1 - Fork the repository and create your branch from proper branch.
- 2 - run `npm install` in the repository root.
- 3 - for developing vuesax to work it must have vuepress installed globally if it is not so please install it [vuepress](https://vuepress.vuejs.org/guide/getting-started.html)
- 4 - If you’ve fixed a bug or added code that should be tested, add tests!
Make sure your code lints (npm run dev)

</box>

<box>

## Development workflow

After cloning Vuesax, run npm install to fetch its dependencies and [vuepress](https://vuepress.vuejs.org/guide/getting-started.html). Then, you can run several commands:

- 1 - `npm run dev` runs vuesax website locally.
- 2 - `npm run build` To build.

</box>
